# Class JSOFA.ObservedPositionEO

java.lang.Object
org.jastronomy.jsofa.JSOFA.ObservedPositionEO

Enclosing class:
  `JSOFA`

public static class JSOFA.ObservedPositionEO extends Object
Observed position with the equation of the origins.

Since:
  26 Jan 2010
Version:
  $Revision$ $date$
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 29 Mar 2014

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`eo`
The equation of the origins.
`JSOFA.ObservedPosition`
`op`
observed position.

## Constructor Summary

Constructors
Constructor
Description
`ObservedPositionEO(JSOFA.ObservedPosition op, double eo)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### op

public JSOFA.ObservedPosition op
observed position.

### eo

public double eo
The equation of the origins. The equation of the origins is the distance between the true equinox and the celestial intermediate origin and, equivalently, the difference between Earth rotation angle and Greenwich apparent sidereal time (ERA-GST). It comprises the precession (since J2000.0) in right ascension plus the equation of the equinoxes (including the small correction terms).

## Constructor Details

### ObservedPositionEO

public ObservedPositionEO(JSOFA.ObservedPosition op, double eo)

Parameters:
  `op` - the observed position.
  `eo` - the equation of the origins.